Take the 2-minute tour ×
Server Fault is a question and answer site for professional system and network administrators. It's 100% free, no registration required.

I compiled the latest release of samba on a Solaris 5.9 system to address CVE-2012-1182, and I'm getting this result when I run smbd.

fs17151# ./smbd -i
smbd version 3.6.4 started.
Copyright Andrew Tridgell and the Samba Team 1992-2011
===============================================================
INTERNAL ERROR: Signal 6 in pid 6959 (3.6.4)
Please read the Trouble-Shooting section of the Samba3-HOWTO

From: http://www.samba.org/samba/docs/Samba3-HOWTO.pdf
===============================================================
PANIC (pid 6959): internal error
unable to produce a stack trace on this platform
dumping core in /var/adm/samba/cores/smbd
Abort

Google results aren't helping me much with my problem, and the Samba3-HOWTO.pdf seems to assume smbd is running for all of its troubleshooting examples. Does anyone know what can cause these errors?

share|improve this question

1 Answer 1

Have you run into the crash bug when setting log level = 3?

You should talk to the nice guys at samba for support. Install gdb, run smbd in gdb and send them a backtrace along with your smb.conf

Or install 3.6.5, or patch 3.6.4

Have a look here http://www.samba.org/

share|improve this answer

Your Answer

 
discard

By posting your answer, you agree to the privacy policy and terms of service.

Not the answer you're looking for? Browse other questions tagged or ask your own question.